#
# spec file for package usbutils (Version 0.71)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           usbutils
BuildRequires:  libusb
URL:            http://usb.cs.tum.edu/
Version:        0.71
Release:        21.2
Provides:       usb
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tools and libraries for USB devices
Group:          Hardware/Other
Source0:        usbutils-mainline.tar.bz2
Source1:        http://www.linux-usb.org/usb.ids

%description
This package contains a utility for inspecting devices connected to USB
ports.

It requires kernel version 2.3.99-pre7 or newer, or the USB backport
which was introduced in 2.2.18 (supporting the /proc/bus/usb
interface).



Authors:
--------
    Georg Acher <acher at in dot tum dot de>
    Detlef Fliegl <fliegl at lrz dot de>
    Thomas Sailer <t.sailer at alumni dot ethz dot ch>
    Roman Weissgaerber <weissg at vienna dot at>

%debug_package
%prep
%setup -q -n usbutils-mainline
exit 0
cp -avL %{SOURCE1} .

%build
rm -f aclocal.m4 \
config.guess \
config.sub \
configure \
depcomp \
install-sh \
ltconfig \
ltmain.sh \
Makefile.in \
missing \
mkinstalldirs
#
aclocal
autoheader
automake --include-deps --add-missing --foreign
autoconf
#
CFLAGS=$RPM_OPT_FLAGS \
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*usbmodules*" | xargs rm -fv
mkdir $RPM_BUILD_ROOT%{_prefix}/bin
ln -sv ../sbin/lsusb $RPM_BUILD_ROOT%{_prefix}/bin/lsusb

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, root) %{_mandir}/man8/*
%attr(0755, root, root) %{_prefix}/bin/*
%attr(0755, root, root) %{_prefix}/sbin/*
%config %{_datadir}/usb.ids
%doc AUTHORS COPYING ChangeLog

%changelog -n usbutils
* Sun Mar 05 2006 - olh@suse.de
- version to 0.72
  (HID) prettyprinting of Unit and Unit Exponent Global items
  update video support, show camera info
  allow longer variable length bitfields in hub descriptors;
  ignore all clearly-broken hub descriptors
- use usb.ids from package
* Fri Feb 03 2006 - olh@suse.de
- lsusb.c (dump_hub): Format string fix.
  (do_hub): Allocate enough space for the hub descriptor.
  Check return value in different way.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - olh@suse.de
- remove resmgr from neededforbuild
* Thu Dec 08 2005 - olh@suse.de
- update usb.ids to 2005/11/19 status
  provide lsusb also in /usr/bin/
  lsusb.c: better diagnostics for invalid CDC descriptors
  lsusb.c: add Video Class support, standard GUID printing
  lsusb.c: dump device status; start dumping wireless info.  don't
  yet dump security, BOS, "endpoint companion", or other new
  descriptors.  (Security can work without wireles support...)
* Mon Sep 05 2005 - olh@suse.de
- update usb.ids to 2005/09/04 status (#115202)
* Wed Aug 24 2005 - olh@suse.de
- remove duplicate line (#112649)
* Wed Aug 10 2005 - olh@suse.de
- update usb.ids to 2005/08/05 status
* Thu Jun 23 2005 - olh@suse.de
- update usb.ids to 2005/06/20 status
  lsusb is now in /usr/sbin, libusb is also in /usr/lib
  lsusb.c: correct dump of CCID supported voltages
* Tue May 17 2005 - olh@suse.de
- bump version to 0.71
* Fri Apr 29 2005 - olh@suse.de
- update usb.ids to 2005/04/08 status
  lsusb.c: add some more CDC WHCM dumping, matching a Sony 3G phone
  lsusb.c: disallow decimal product and vendor codes (hex only)
- add patch to make lsusb read /proc entries correctly
  directories in /proc/bus/usb/ are all decimal,
  but lsusb parses them as octal. (#77718)
- fix a few compile warnings
* Mon Mar 14 2005 - olh@suse.de
- update usb.ids to 2005/03/13 status
* Mon Mar 07 2005 - olh@suse.de
- update usb.ids to 2005/02/24 status
  add simple CDC MDLM descriptor dumping to lsusb
* Thu Feb 17 2005 - olh@suse.de
- update usb.ids to 2005/02/09 status
* Mon Jan 31 2005 - olh@suse.de
- update to 0.70 final
* Thu Jan 27 2005 - olh@suse.de
- update to current cvs, automake fixes
* Sun Jan 23 2005 - olh@suse.de
- update to current cvs, version 0.70
* Mon Jan 10 2005 - olh@suse.de
- update usb.ids to 2005/01/06 status
  update lsusb to current cvs
  * handle more descriptors;
  misplaced comm descriptors get interpreted;
  minor formatting updates;
  bugfixes for reading HID descriptors
  add a warning when those HID descriptors aren't available.
* Sun Oct 17 2004 - olh@suse.de
- update usb.ids to 2004/09/23 status
  update lsusb to current cvs
* Fri Aug 27 2004 - olh@suse.de
- update usb.ids to 2004/04/30 status
* Wed Apr 21 2004 - olh@suse.de
- update to current cvs, drop usbmodules, build with libusb
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Sun Sep 07 2003 - olh@suse.de
- introduce /etc/usbmodules.blacklist.conf
  skip poking in /proc/bus/usb/*/* if a matching entry exists
  add usbmodules --showdriver /proc/bus/usb/*/*
* Sat Sep 06 2003 - olh@suse.de
- update usb.ids to 2003/09/04 status
* Mon Aug 25 2003 - adrian@suse.de
- Provide usb for update
* Sat Aug 09 2003 - olh@suse.de
- update usb.ids to 2003/06/20 status
  use kernel headers for module information
* Thu Jun 05 2003 - ro@suse.de
- include linux/types.h before linux/usb.h
* Sat May 17 2003 - olh@suse.de
- update usb.ids to 2003/03/13 status
  workaound broken rpm4 checks
* Mon Mar 17 2003 - olh@suse.de
- update usb.ids to 2003/03/13 status
* Fri Feb 07 2003 - olh@suse.de
- update usb.ids to 2003/02/05 status
* Sat Feb 01 2003 - olh@suse.de
- update usb.ids to 20030114 status
* Tue Dec 10 2002 - schwab@suse.de
- Only swap usb device descriptor read from /proc, not the raw usb
  packets.
* Sat Sep 28 2002 - olh@suse.de
- update to 0.11
  byswap bcdUSB,idVendor,idProduct,bcdDevice on big endian
* Sun Aug 04 2002 - olh@suse.de
- update usb.ids, dont mark it as config in specfile
* Tue Jul 23 2002 - olh@suse.de
- fix usb.ids
  reenable usbmodules, might be useable with new hotplug
* Thu Jul 11 2002 - olh@suse.de
- rename usbmodules to usbmodules.obsolete
* Wed Jul 10 2002 - olh@suse.de
- update to version 0.10, update usb.ids
* Sat May 04 2002 - olh@suse.de
- workaround broken lib64 detection
  update usb.ids
* Thu Feb 28 2002 - olh@suse.de
- update to latest http://www.linux-usb.org/usb.ids (#14046)
  update url in specfile
* Mon Sep 24 2001 - olh@suse.de
- update usb.ids from http://www.linux-usb.org/
* Mon Sep 24 2001 - olh@suse.de
- fix usb.ids (#11201)
* Mon Sep 03 2001 - olh@suse.de
- readd to distribution for series ap
  update to 0.8 for hotplug, usbmodules is needed
  dont use libs, they are in libusb
  add current usb.ids from linux-usb.org
* Tue Dec 05 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu Nov 30 2000 - olaf@suse.de
- add usbutils 0.7 to SuSE dist, will replace the usb.rpm
